Package org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl

# Class DifferenceGroupProviderExtensionRegistryListener

java.lang.Object
org.eclipse.emf.compare.rcp.extension.AbstractRegistryEventListener
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl.DifferenceGroupProviderExtensionRegistryListener

All Implemented Interfaces:
  `EventListener`, `org.eclipse.core.runtime.IRegistryEventListener`

public class DifferenceGroupProviderExtensionRegistryListener extends AbstractRegistryEventListener
Utility class to listen to the `IDifferenceGroupProvider.Descriptor.Registry`.

Since:
  4.0

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.compare.rcp.extension.AbstractRegistryEventListener

`AbstractRegistryEventListener.Action`

## Constructor Summary

Constructors
Constructor
Description
`DifferenceGroupProviderExtensionRegistryListener(String pluginID, String extensionPointID, org.eclipse.core.runtime.ILog log, IItemRegistry<IDifferenceGroupProvider.Descriptor> registry)`
Default constructor.

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`addedValid(org.eclipse.core.runtime.IConfigurationElement element)`
Process the given element as the addition of a valid element extension.
`protected boolean`
`removedValid(org.eclipse.core.runtime.IConfigurationElement element)`
Process the given element as the removal of a valid element extension.
`protected boolean`
`validateExtensionElement(org.eclipse.core.runtime.IConfigurationElement element)`
Validates if the given element is an element for the given extension and is well constructed.

### Methods inherited from class org.eclipse.emf.compare.rcp.extension.AbstractRegistryEventListener

`added, added, log, log, log, logMissingAttribute, readElement, readRegistry, removed, removed`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DifferenceGroupProviderExtensionRegistryListener

public DifferenceGroupProviderExtensionRegistryListener(String pluginID, String extensionPointID, org.eclipse.core.runtime.ILog log, IItemRegistry<IDifferenceGroupProvider.Descriptor> registry)
Default constructor.

Parameters:
  `pluginID` - The namespace of the extension point to be monitored.
  `extensionPointID` - The extension point ID to be monitored.
  `log` - The log object to be used to log error and/or warning.
  `registry` - The `IDifferenceGroupProvider.Descriptor.Registry` to listen.

## Method Details

### validateExtensionElement

protected boolean validateExtensionElement(org.eclipse.core.runtime.IConfigurationElement element)
Validates if the given element is an element for the given extension and is well constructed. Returns true if the element should be further parsed for addition or removal.

Specified by:
  `validateExtensionElement` in class `AbstractRegistryEventListener`
Parameters:
  `element` - the element to validate.
Returns:
  true if the element should be further parsed for addition or removal, else otherwise.
See Also:
  - `AbstractRegistryEventListener.validateExtensionElement(org.eclipse.core.runtime.IConfigurationElement)`

### addedValid

protected boolean addedValid(org.eclipse.core.runtime.IConfigurationElement element)
Process the given element as the addition of a valid element extension.

Specified by:
  `addedValid` in class `AbstractRegistryEventListener`
Parameters:
  `element` - the element to be added.
Returns:
  true if the given element has been added and if its children should be processed, false otherwise.
See Also:
  - `AbstractRegistryEventListener.addedValid(org.eclipse.core.runtime.IConfigurationElement)`

### removedValid

protected boolean removedValid(org.eclipse.core.runtime.IConfigurationElement element)
Process the given element as the removal of a valid element extension.

Specified by:
  `removedValid` in class `AbstractRegistryEventListener`
Parameters:
  `element` - the element to be removed.
Returns:
  true if the given element has been removed and if its children should be processed, false otherwise.
See Also:
  - `AbstractRegistryEventListener.removedValid(org.eclipse.core.runtime.IConfigurationElement)`